Subject: FVWM: Taskbar iconification

From: Soumen <[email-masked]>
Date: Sun, 05 Dec 2004 23:56:53 +0530

Hi,

I've been using fvwm for last one month & the capability is amazing.
So why not try this...

I'm using FvwmTaskBar and here is what I'm trying to do (click means
left click):

1. First click on the taskbar icon for open window(say w1), raises
& focuses the window. 
2. One more click on the same icon, iconifies it.
3. Now I click on icon of some other window (say w2) for some other
work, so the focus is moved. 
4. Finally once my work is over, I want to click on the icon of w1
(which is iconified) & I want it to be de-iconified, raised & focused.

Currently I have to click once on the icon of w1 (which transfers the
focus) and then another click raises & focuses it.

Parts from my .fvwmrc are:

<snip>

DestroyFunc RaiseAndFocus
AddToFunc   RaiseAndFocus
   + I      Focus
   + I      Raise

DestroyFunc TaskBarIconOper
AddToFunc   TaskBarIconOper
    + I     ThisWindow (Focused) Iconify toggle
    + I     RaiseAndFocus

</snip>

The left mouse button is configured as:

<snip>
Style    FvwmTaskBar    NoTitle, StaysOnTop, Sticky, \
                    CirculateSkip, WindowListSkip, \
                    !Borders, NoHandles

*FvwmTaskBar:   Action Click1 TaskBarIconOper

</snip>

The second button of my mouse doesn't work particularly well & I dont
want to buy a new mouse... :-)

-- 
Soumen Dass < soumen_dass at mtnl dot net dot in >
Registered Linux User # 272639 - Linux nova 2.4.22-1.2115.nptl i686

Age is a tyrant who forbids, at the penalty of life, all the pleasures
of youth.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].